<?php
	// Tenta se conectar ao servidor MySQL
	include $_SERVER["DOCUMENT_ROOT"].'/inc/conexao.php';
	include $_SERVER["DOCUMENT_ROOT"].'/inc/functions.php';
	$cfg = $_SESSION["configs"];

	// ini_set('display_errors',1);
	// ini_set('display_startup_erros',1);
	// error_reporting(E_ALL);

	$urlbase = $_SERVER['SERVER_NAME'].$_SERVER ['REQUEST_URI'];
	$parts = parse_url($urlbase);
	parse_str($parts['query'], $query);
	$_GET = $query;
	$perms = $_SESSION["usuario"]["permissoes"];
	$userid = $_SESSION["usuario"]["id"];
	$datetime = date('Y-m-d H:i:s');

	// Retorno
	$ret = array();

	// Verifica type e permissões
	if(count($perms) == 0 || !in_array('33', $perms)){ $ret['error'] = 'Você não possui permissões suficientes para atualizar resultados. '; $ret['status'] = 'error'; $ret['status_code'] = 'invalidPerm'; finishJSONRequest($ret); }


	$updates = '';

	foreach ($_SESSION["atualizacao"] as $k => $v) {
		$updates .= "UPDATE apostas SET aposta_status = '$v', aposta_atualizacao = '$v', aposta_atualizacao_data = '$datetime', aposta_atualizado_por = '$userid' WHERE aposta_opcao_id = '$k' and aposta_status = '1'; ";
	}

	$sqlmulti = mysqli_multi_query($mysqli, $updates);
	if(!$sqlmulti){
		if($mysqli->error == 'Query was empty'){
			$ret['success'] = 'Você atualizou '.count($_SESSION["atualizacao"]).' opções.';
			unset($_SESSION["atualizacao"]);
		} else {
			$ret['error'] = 'Falha ao atualizar. Erro: '.$mysqli->error.'. '; $ret['status'] = 'error'; $ret['status_code'] = 'dbError'; finishJSONRequest($ret);
		}
	}
	else {
		$ret['success'] = 'Você atualizou '.count($_SESSION["atualizacao"]).' opções. Agora atualize o caixa.';
		unset($_SESSION["atualizacao"]);
	}

	echo json_encode($ret);
?>